# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

ECM_QTHELP="true"
ECM_TEST="forceoptional"
KFMIN=5.102.0
PVCUT=$(ver_cut 1-3)
QTMIN=5.15.7
VIRTUALX_REQUIRED="test"
inherit ecm plasma.kde.org

DESCRIPTION="Plasma screen management library"
SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${P}-patchset-1.tar.xz"

LICENSE="GPL-2" # TODO: CHECK
SLOT="5/8"
KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86"
IUSE=""

# requires running session
RESTRICT="test"

RDEPEND="
	dev-libs/wayland
	>=dev-qt/qtdbus-${QTMIN}:5
	>=dev-qt/qtgui-${QTMIN}:5
	>=dev-qt/qtx11extras-${QTMIN}:5
	>=kde-frameworks/kconfig-${KFMIN}:5
	>=kde-frameworks/kcoreaddons-${KFMIN}:5
	>=kde-frameworks/kwayland-${KFMIN}:5
	x11-libs/libxcb
"
DEPEND="${RDEPEND}
	>=dev-libs/plasma-wayland-protocols-1.10.0
"
BDEPEND="
	>=dev-qt/linguist-tools-${QTMIN}:5
	>=dev-qt/qtwaylandscanner-${QTMIN}:5
	dev-util/wayland-scanner
"

PATCHES=( "${WORKDIR}/${P}-patchset-1" ) # KDE-bugs 466181, 465396
